import Vue from 'vue'
import Vuex from 'vuex'


Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    tabsInfo: [],
    activeKeyInfo: '1',
    activeItemInfo: '',
    openKeyInfo: '',
  },
  mutations: {
    changeTabs(state, payload) {
      state.tabsInfo = payload
    },
    changeActKey(state, payload) {
      state.activeKeyInfo = payload
    },
    changeActItem(state, payload) {
      state.activeItemInfo = payload
    },
    changeOpenKey(state, payload) {
      state.openKeyInfo = payload
    },
  },
  actions: {
  },
  modules: {
  }
})
